EDIT - bug #6728

Changing author data when editing a reference does neither update the reference titleCache nor the

author label
06/14/2017 05:11 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 40%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal Found in Version:

Description

How to reproduce:

Create a taxon with NO secundum set

Add a secundumg by creating a new generic reference with only title set

open the refernce again by using the edit button close to "Secundum"

Add an author (person) by creating a new person with protected title cache "A. Smith"
¢ close Person edit dialog. (=> Reference author and titteCache show up correctly)
e Edit person again by opening Person edit dialog from Reference edit dialog

®
e Set titleCache to unprotected and add initials B. and surname Smith => Author in reference still shows "A. Smith", reference

titleCache still shows "A. Smith". => INCORRECT

¢ Reopen author and change initials from "B." to "C." => this time the author label updates correctly, but the reference titleCache

is still not updated.

So the author update sometimes works will the reference cache update never works.

IMPORTANT: Generally whenever we open the edit dialog, after closing all caches and related labels in the underlying view or dialog

should be updated/synchronized. Please check for other such cases!!

Related issues:
Related to EDIT - feature request #6711: Make initials editable in TaxEditor

Closed

Associated revisions

Revision f93eb1bf - 12/12/2017 09:56 AM - Katja Luther
ref #6728: update titleCache if author is edited

Revision 695e929b - 12/13/2017 10:24 AM - Katja Luther
ref #6728: update titleCache if author is edited

History

#1 - 06/14/2017 05:29 PM - Andreas Miuller

- Description updated

#2 - 06/14/2017 05:30 PM - Andreas Miiller
- Related to feature request #6711: Make initials editable in TaxEditor added

#3 - 11/08/2017 02:49 PM - Katja Luther

- Target version changed from Unassigned CDM tickets to Release 4.12

#4 - 12/05/2017 02:16 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#5 - 12/12/2017 10:34 AM - Katja Luther
- Status changed from New to In Progress

- Priority changed from New to Highest
#6 - 12/12/2017 10:34 AM - Katja Luther
- % Done changed from 0 to 40

#7 - 12/13/2017 10:42 AM - Katja Luther

For authors it works correctly now.have to check other dialogs

#8 - 12/13/2017 11:03 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

for references it works as well, collection is adapted, Specimen works as expected.

please review.

#9 - 12/19/2017 11:33 AM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther

The above issue works fine. | havn't checked all other places (too many), but | think for now we can close this ticket.
